Logic 1.x Download
Starting January 4, 2022, Saleae has released a new hardware revision of our analyzers, starting with Logic Pro 16, which requires the latest version of the Logic 2 software available here.
Otherwise, if you require using our legacy Logic 1.x software (typically, due to needing support for our Automation API), these new units will require Logic 1.2.40 available below.

Logic 1.2.40

Please be aware of the following requirements for the Windows standalone release:
  • The Microsoft Visual Studio runtime needs to be installed before the software will run.
  • If drivers are not already installed from a previous installation of the Logic software, you will need to install the drivers manually. You can find instructions for installing our drivers in the link below.

Extracting the AppImage (Linux)

You can extract the AppImage with ./Logic-1.2.40-Linux.AppImage --appimage-extract, which will dump the contents to a new directory called squashfs. You can then run the Logic binary directly from there.

Older Versions of Logic 1.x

Temporary Releases

We released a temporary fix for processor incompatibilies mentioned in the support article below. The fixes have been implemented in v1.2.40, so these versions have become obsolete and unneeded.
We don't recommend running this version of the software, but we will provide it here to help keep an archive of all previously available versions of our software.

1.2.29 Beta Download

Before the release of 1.2.40, this was the last version of Logic 1.x that we recommened for use.
Mac OS X 10.8+ Logic-1.2.29-Darwin.dmg
Windows Standalone releases:
Note: These releases include the newly required Microsoft Visual Studio 2015 runtime. The runtime needs to be installed before the software will be able to run.

Workaround for the "Unsupported Version" Error

When launching 1.2.29, you may see an "Unsupported Version" notice like shown below.
Unsupported Version warning message in Logic 1.x
If you see this notice, please start the software using the instructions in the support article below.

1.2.28 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.28/Logic+1.2.28+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.27 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.27/Logic+1.2.27+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.26 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.26/Logic+1.2.26+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.25 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.25/Logic+1.2.25+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.24 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.24/Logic+1.2.24+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.23 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.23/Logic+1.2.23+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.22 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.22/Logic+1.2.22+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.20 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.20/Logic+1.2.20+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.19 Beta Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.19/Logic+1.2.19+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.18 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.18/Logic+1.2.18+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.17 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.17/Logic+1.2.17+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.16 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.16/Logic+1.2.16+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.15 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.15/Logic+1.2.15+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.14 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.14/Logic+1.2.14+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.13 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.13/Logic+1.2.13+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.12 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.12/Logic+1.2.12+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.11 Download

Linux Compatibility release, for users with older libraries: Linux 64 bit - not yet tested after update to QT 5.7. https://downloads.saleae.com/logic/1.2.11/Logic+1.2.11+(64-bit)+compatibility_release.zip
Widows Standalone Releases:

1.2.10 Download

Linux Compatibility release, for users with older libraries:
Widows Standalone Releases:

1.2.9 Download

Linux Compatibility release, for users with older libraries:
Widows Standalone Releases:

1.2.8 Download

Linux Compatibility release, for users with older libraries:
Widows Standalone Releases:

1.2.7 Download

Linux Compatibility release, for users with older libraries:
Widows Standalone Releases:

1.2.5 Download

Linux Compatibility release, for users with older libraries:
Widows Standalone Releases:

1.2.4 Download

Linux Compatibility release, for users with older libraries:

1.2.3 Download

Standalone Windows (no installer):

1.2.2 Download

1.2.1 Download (Linux and OSX only)

OSX 10.7+
Linux 32 bit:
Linux 64 bit:

1.1.34 Download

Windows: (32 bit and 64 bit)
OSX:
Linux 32 bit:
Linux 64 bit:
Linux 32 bit compatibility release:
Linux 64 bit compatibility release:
Windows 32 bit standalone:
Windows 64 bit standalone:

1.1.20 Download

1.1.19 Download

Linux 32 bit:

1.1.18 Linux interim Download

(released after 1.1.18 with Linux specific USB fixes)
Linux 32 bit
Linux 64 bit

1.1.18 Download

Windows:
OS X:
Linux 32 bit:
Linux 64 bit:
Windows Standalone:
32 bit:
64 bit:

Legacy Software for OSX 10.4 and 10.5

Starting with beta release 1.1.18, we stopped supporting OSX versions earlier than 10.6. More recently. we only support 10.7 and newer. That is because with newer versions of OSX, it has become impossible to compile our required libraries with support for these older platforms.
1.1.15 was the last release to support OSX 10.4 and 10.5. You can download them here:
These releases only support the original Logic and Logic16 and none of the Gen2 products (Logic 4, Logic 8, Logic Pro 8 and Logic Pro 16).

1.1.15 Download

Windows standalone release:
Note, 1.1.15 was the last 32 bit only release. There is only 1 version for both 32 bit and 64 bit versions of windows. The reason there are two installers for 1.1.15 is to simply support installing the different drivers for 32 bit and 64 bit windows, both of which are included in this one standalone release.

About Legacy .logicsession Files

Original versions of the software were written in .NET and were Windows only. Back then, we used Windows serialization to save .logicdata files. In later versions of Logic 1.x software, we have moved to cross-platform software using Boost for serialization. These two serializations are not compatible and require different versions of the software to open. Unfortunately, there is no way to convert from one version to the other, making the older versions impossible to open in new versions of the software.
To open any files saved with version v1.0.34 or older, you can still open the files with an older version of the software. Below are links to an older version of the software that should open them just fine.
Please note that this software was last released in late 2010 and should not be confused with the new software versions that started with 1.1.0. All software releases in the range 1.0.x were Windows only, and all releases 1.1.x were cross-platform.
v1.0.34: